/* height/width calcs are used for sizing leaflet map */
html {
  height: calc(100% - 35px);
  width: calc(100% - 35px);
  overflow-x: hidden !important;
  overflow-y: hidden !important;
}

body {
  height: calc(100% - 35px);
  width: calc(100% - 35px);
  font-family: 'Muli', sans-serif;
}

/** Drifter Filter Panel */

.drifter-panel {
    z-index: 9999;
}

#filt-buoy-pane {
    display: none;
    background: white;
    max-width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
  }

.drifter-panel-heading {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    background-color: #0088cc;
    padding: 7px;
}

.drifter-panel-title {
    font-size: 14px;
    line-height: 14px;
    margin-top: 0px;
    margin-bottom: 0px;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #fff;
}

.panel-body-drifter {
    padding: 15px;
}

.table-column {
    color: #808080;
    margin: 10px 0;
    font-weight: bold;
    font-size: 1.2em;
    text-align: left;
    border-bottom: 2px solid #808080;
}

.category-items {
    padding-left: 0;
    margin-bottom: 0;
    text-align: left;
    cursor: pointer;
    list-style: none;
}

.active-category {
    background: #cce0ff;
  }

.content-wrapper {
    padding: 5px;
    text-align: left;
    overflow: auto;
    border-bottom: 2px solid #808080;
    margin-bottom: 10px;
}

.list-item {
    padding: 5px 10px;
}

.list-divider {
    margin: 0;
}

.filt-icon {
    float: right;
}

.global-check {
    font-size: 12px;
}

.check-holder {
    margin: 5px 0 10px;
}

.global-check:nth-of-type(2) {
    float: right
}

.clear-filter {
    float: left;
    margin-bottom: 0px;
    margin-left: 10px;
  }

.apply-button {
    float: right;
    margin-bottom: 5px;
}

.id-checkbox-area, .class-checkbox-area, .funding-checkbox-area {
    max-height: 110px;
    overflow-y: auto;
    padding: 4px;
    border: 0.1px solid gray;
}

.class-checkbox-area, .funding-checkbox-area {
    display: none;
}

/* End Drifter Filter Panel */

/* Drifter Filter Panel -- Map is less than 769px */
@media only screen and (max-width: 768px) {
    .drifter-panel {
        z-index: 99999;
    }

    #filt-buoy-pane {
        position: absolute;
        top: 10px;
        left: 0;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, 0);
        max-height: 100%;
        width: 85%;
        overflow: auto;
    }

    .drifter-panel-heading > .panel-actions {
        position: absolute;
        margin: 0;
        padding: 0;
    }
}

#refresh-box {
  font-size: 12px;
  text-align: center;
  color: black;
  font-size: 10px;
  padding: 5px;
  background-color: white;
  border: 1px solid black;
  border-radius: 3px;
  position: absolute;
  right: 5px;
  top: 65px;
  z-index: 1000;
}

@media only screen and (max-width: 1366px) {
     #refresh-box {
        display: none;
    }
}


/* Markers */
.awesome-marker i {
  font-size: 30px;
}


.header .logo {
  font-size: 30px;
  text-decoration: none;
}

.header .logo img {
    height: 50px;
}

.header .info-button {
    font-size: 30px;
    color: darkgray;
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
}

@media only screen and (min-width: 769px) {
    .logo-full {
        display: block;
    }

    .logo-short {
        display: none;
    }
}


@media only screen and (max-width: 768px) { 
    .logo-container > a {
        position: absolute;
        left: 0;
        top: 50%;
        transform: translate(0,-50%);
    }

    .logo-full {
        display: none;
    }

    .logo-short {
        display: block;
    }

    .info-button {
        display: none;
    }
}

.sidebar-left .nav li {
    border-left: solid 5px #fff;
}

.sidebar-left .nav li:hover {
    border-left: solid 5px rgba(0, 136, 204, 0.15);
}

/* Sidebar Light classes */
.sidebar-light ul.nav-main li a, .sidebar-light .legend-container .data-sources {
    color: #000000 !important;
    font-weight: bold !important;
    font-size: 18px !important;
}
.sidebar-light ul.nav-main li i {
    color: #0088cc !important;
    font-size: 24px !important;
}
.sidebar-light .legend-container .data-sources {
    color: #000000 !important;
    font-weight: lighter !important;
    font-size: 14px !important;
    padding-bottom: 20px;
}
.sidebar-light .sidebar-left hr.separator {
    border-bottom: #cccccc solid 1px !important;
    margin: 0px 0px !important;
}
.sidebar-light ul.nav-main > li > a {
    padding: 20px 25px !important;
}
.sidebar-light .nav.nav-main .legend-container {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}
html.sidebar-light:not(.dark) ul.nav-main {
    margin-top: 0px !important;
    border-top: solid 1px #ccc;
}
.sidebar-light .legend-container img.img-thumbnail {
    background-color: transparent !important;
    border: none !important;
    border-radius: 0px !important;
}
/* End Sidebar Light Classes */

/* don't expand sidebar */
@media only screen and (min-width: 769px) {
  html.sidebar-left-collapsed .sidebar-left .nano:hover {
    width: inherit;
  }
  html.sidebar-left-collapsed .sidebar-left .nano:hover .nav-main li a span {
    visibility: hidden;
  }
  html.sidebar-left-collapsed .sidebar-left .nano:hover .sidebar-widget {
    display: none;
  }

  html.sidebar-left-collapsed .sidebar-left hr#sidebar-before-attribution-hr {
    display: none !important;
  }

  /* Don't display the down chevron when sidebar is collapsed. */
  html.sidebar-left-collapsed .sidebar-left .nano:hover .nav-main li.nav-parent a:after {
		display: none;
	}

}

.sidebar-left hr.separator {
    background: none;
    margin: 10px 13px 10px !important;
    border-bottom: #828282 solid 1px !important;
    display: block !important;
}

/* Hide border under top left heading name */
.page-header h2 {
  border-bottom-color: #CCC !important;
}

/* BEGIN layer, source list */
.map-panel {
  top: 110px;
  position: absolute;
  z-index: 1005;
  width: 400px;
  display: none;
  left: 300px;
}
.nav-pills > li {
  text-align: center;
}
#layer-list.map-panel {
  left: 145px;
}

#basemap-menu {
  left: 715px;
}

  #basemap-menu .panel-body {
    padding: 15px;
  }

  #basemap-menu ul.nav-pills a {
    text-align: center;
    height: 110px;
  }

  #basemap-menu ul.nav-pills li {
    width: 120px;
  }

  #basemap-menu ul.nav-pills li div {
    line-height: 15px;
    margin-top: 5px;
  }


  #basemap-menu ul.nav-pills img.img-responsive {
    display: block;
    width: 90px;
    margin: 0 auto;
  }

  #basemap-menu .row .col-xs-4 {
    text-align: center;
  }

#basemap-menu-modal .nav-pills > li {
  width: 46%;
}
  
  #basemap-menu-modal .nav-pills > li a img {
    width: 87%;
  }

#data-options {
  top: 284px;
}

  [id^="data-options"] img[src$="-thumb.png"] {
    width: 70px;
  }

  [id^="data-options"] dl.dl-horizontal {
    padding: 5px 10px;
    margin-bottom: 5px;
  }

  [id^="data-options"] dl dt {
    line-height: 34px;
    text-align: left;
    width: 130px;
  }

  [id^="data-options"] dl dd {
    margin-left: 150px;
  }

  [id^="data-options"] .checkbox-inline {
    padding-left: unset;
  }

    [id^="data-options"] .checkbox-inline input[type="checkbox"] {
      margin-left: 5px;
      position: unset;
      margin-right: unset;
    }

  .map-panel .dd-handle [type="checkbox"],
  #source-list-modal .dd-handle [type="checkbox"] {
    margin-right: 10px; 
  }

  #source-list.map-panel > .panel-heading,
  #data-options.map-panel > .panel-heading {
    cursor: default;
  }

  .map-panel > .panel-heading
  {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    padding: 7px;
    background-color: #0088cc;
    /*cursor: move;*/
  }
  .modal-header {
    background-color: #0088cc;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
  }

    .map-panel > .panel-heading > .panel-actions, .drifter-panel > .drifter-panel-heading > .panel-actions
    {
      top: 2px;
      right: 2px;
    }

    .map-panel > .panel-heading > .panel-title,
    .modal-title
    {
      font-size: 14px;
      line-height: 14px;
      letter-spacing: 1px;
      text-transform: uppercase;
      color: #fff;
    }

  .map-panel > .panel-body {
    border: 1px solid #ccc;
    max-height: calc(80vh - 130px);
    padding: 0 5px;
  }

 .panel-actions a, .panel-actions .panel-action {
    color: #fff;
}

.panel-actions a:hover, .panel-actions .panel-action:hover {
    color: #000;
}

.map-panel .dd-handle {
  font-weight: normal;
  height: auto;
}

.map-panel .dd-handle .typcn{
  float: right;
  font-size: 25px;
  margin-top: -2px;
  margin-right: 5px;
  cursor: pointer;
}

.map-panel .rainbow-legend {
  background: linear-gradient(to right, red, orange, yellow, green, blue, indigo, violet);
  width: 360px;
  height: 15px;
  margin-top: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

.map-panel .bootstrap-switch {
  margin-right: 9px;
}


@media only screen and (max-width: 768px) {
  .map-panel {
    display: none;
  }
}

/* END layer, source list */

span.map-panel-btn {
  position: absolute;
  right: 13px;
  cursor: pointer;
  display: none;
}

span.map-panel-btn[data-id="data-options"] {
  display: inline-block;
  margin-top: -4px;
}

html.sidebar-left-collapsed span.map-panel-btn,
html.sidebar-left-collapsed .legend-container {
  display: none !important;
}

@media only screen and (min-width: 769px) {
  html.sidebar-left-collapsed .sidebar-left .nav-main > li > span.map-panel-btn {
    display: none;
  }
}

span.map-panel-btn[data-id="sources"] {
  top: 13px;
}

  span.map-panel-btn[data-id="sources"] i, span.map-panel-btn[data-id="layers"] i {
    margin-right: 3px;
  }

/*html.sidebar-left-collapsed .sidebar-left .nano:hover span.map-panel-btn {
  display: block;
}*/

/*ul.nav-main > li > a:hover {
    color: #ffffff;
    background-color: #0088cc;
}*/

ul.nav-main {
    margin-right: 0 !important;
}

html.no-overflowscrolling .sidebar-left .nano {
    box-shadow: none !important;
}

html.sidebar-left-collapsed .sidebar-left .nano {
    box-shadow: none !important;
}

html.no-overflowscrolling .nano:hover > .nano-pane > .nano-slider {
  height: 500px !important;
  width: 500px !important;
}

/* Datetime picker dropdown */
.daterangepicker {
  color: black !important;
  cursor: pointer;
  z-index: 501;
}

.daterangepicker td.in-range {
    background-color: #cae6f3 !important;
}

.daterangepicker td.start-date {
    background-color: #357ebd !important;
    border-radius: 4px 0 0 4px !important; 
}

.daterangepicker td.end-date {
    background-color: #357ebd !important;
    border-radius: 0 4px 4px 0 !important;
}

.daterangepicker td:hover {
    background-color: #828282 !important;
    border-color: transparent !important;
    color: #fff !important;
}

.daterangepicker td.active:hover {
    background-color: #357ebd !important;
    border-color: transparent !important;
    color: #fff !important;
}

.daterangepicker .calendar-time select {
  padding: 0px;
}

#map {
  margin-top: 60px;
  /*margin-left: 72px;
  width: calc(100% - 35px);
  height: calc(100% - 35px);*/
}

#accordion-mobile-wrapper {
    display: none;
    right: 75px;
    /*z-index: 10000000000000001;*/
    z-index: 9000;
}

#sidebar-left .nano {
  /*background: black;*/
}

.sidebar-left .sidebar-header .sidebar-title {
  background: #000000;
  color:#abb4be;
}

/* override some leaflet popup styles */
.leaflet-popup-content-wrapper {
    width: 300px;
    background: rgba(0,0,0,0.6) !important;
}

.leaflet-popup-content-wrapper .leaflet-popup-content {
    max-width: 100%;
}

.leaflet-popup-tip-container {
}

.leaflet-popup-content > h2 {
    font-size: 16px;
    text-align: center;
}

#popup-hr {
    margin: 2px 0px;
    background-color: white;
}

.popup-sub-header {
    margin-bottom: 6px;
}

.drifter-param {
    color: lemonchiffon;
}

.drifter-name {
    color: lightcyan;
}

.animate-selector a {
    color: #66ff33
}


/* Map bottom right show lat long */
.showLatLong {
  color: white;
  background-color: rgba(0, 0, 0, 0.4);
  opacity: .80;
  position: absolute;
  z-index: 10001;
  bottom: 2px;
  right: 2px;
  padding: 3px;
  transform: translate3d(0, -10em, 0);
  transition: transform 0.2s;
}


.menu-hidden .showLatLong {
    transform: translate3d(0, 0, 0);
    transition: transform 0.2s;
}

/* Map: Plus minus zoom */
/*.leaflet-left {
  margin-top: 45px !important;
  margin-left: 50px !important;
}*/

#layerLegend {
    position: absolute;
    z-index: 10000;
    right: 30px;
    bottom: 30px;
    background-color: white;
}

#toc {
  margin-left:500px;
  clear: left;
  display: none;
}

.nav-tabs li.active a, .nav-tabs li.active a:hover, .nav-tabs li.active a:focus {
        border-top: 3px solid transparent !important;
        background-color: #0088cc;
        color: #fff !important;
}

.nav-tabs li a:hover {
    border-top: 3px solid #0088cc !important;
}

.nav-tabs li a {
    padding: 5px 20px;
    font-family: 'Muli', sans-serif;
    color: black;
}

.minPopup .nav-tabs {
    display: none !important;
}

.minPopup .tab-content {
    display: none !important;
}

.minPopup #highcharts-chart1 {
    display: none !important;
}

.minPopup .collapse-chart-arrow {
    display: none !important;
}

.minPopup .highcharts-container {
    display: none !important;
}

.tabbable {
    margin-top: -15px;
    margin-left: -17px;
}

.sub-tabs {
    border: none !important;
    box-shadow: none !important;
}

.collapse-chart-arrow {
    font-size: 18px;
    color: #0088cc;
    float: left;
    margin-left: -21px;
    margin-top: 4px;
    padding: 155px 3px 14px 8px;
    z-index: 99999;
    position: relative;
    border-radius: 6px;
}

.collapse-chart-arrow:hover {
    cursor: pointer;
    background-color: #eaeaea;
}

.station-info {
    text-align: center;
    margin: auto;
    display: block;
}

.popupControls {
    float: right;
    margin-top: -23px;
    margin-right: -15px;
}

.oilPopupControls {
    position: absolute;
    right: 5px;
    top: 0px;
}

#divStationSection {
    margin-top: 4px;
    margin-left: -5px;
}

.chart-date-links > li > a {
    padding: 0px 15px 0px 15px;
}

.chart-date-links > li > a:hover {
    cursor: pointer;
}

.chart-type-dropdown > li > a:hover {
    color: #262626 !important;
}

#station-parms-selections {
  /*border: 1px solid red;*/
    /*float: left;*/
    /*width: calc(50% - 100px);*/
    /*height: 800px;*/
    /*margin-left: 100px;
    margin-top: 20px;*/
    padding: 10px;
    height: 265px;
    overflow-y: auto;
    overflow-x: hidden;
}

#bottompopup-tides-tool {
    padding: 10px;
    height: 265px;
    overflow-y: auto;
    overflow-x: hidden;
}
#default-layer-selections {
  /*float:left;
  border: 1px solid green;*/
  /*width: calc(50% - 100px);
  height: 100px;
  margin-left: 100px;
  margin-top: 20px;*/
  padding: 10px;
  height: 208px;
  overflow-y: auto;
}

#highcharts-chart1 {
  /*float: right;*/

 
 /*padding: 10px 5px 0 0;*/
}

.highcharts-container {
  /*width: 50%;*/
}

.highcharts-menu > hr {
    margin: 0;
}

.highcharts-credits {
  display: none;
}

/* Map Station Markers */
.leaflet-current-conditions {
  width: 45px;
  height: 45px;
  border-color: #AC8DC7;
  -webkit-border-radius: 25px;
  -moz-border-radius: 25px;
  border-radius: 25px;
  border-style: solid;
  border-width: 3px;
  text-align: center;
  vertical-align: middle;
  font-family: 'Open Sans', sans-serif;
  font-size: 10px;
  color: white;
  display: table-cell;
}

.leaflet-current-conditions .leaflet-direction-arrow i {
  font-size: 14px;
  color: white;
}

/*.background-color-transparent {
  background-color: transparent;
}*/

/* Map: Time Slider */
.leaflet-touch .leaflet-control-layers, .leaflet-touch .leaflet-bar {
    margin-bottom: 25px;
    background-color: rgba(0, 0, 0, 0.4) !important;
}

@media only screen and (max-width: 790px) {
  .leaflet-touch .leaflet-bottom.leaflet-left .leaflet-bar {
    margin-bottom: 0 !important;
    bottom: 59px;
    padding: 0;
  }
  /*  hide zoom, measure controls  */
  .leaflet-touch .leaflet-control-container .leaflet-top {
    display: none;
  }
}

.leaflet-bar {
    background-color: rgba(0, 0, 0, 0.4) !important;
}

/* Remove bottom Leaflet Attribution */
.leaflet-control-attribution {
  display: none;
}

.leaflet-control-layers {
  display: none;
}

/* Map: Icon to turn layer on/off */
.leaflet-right .leaflet-control {
    margin-right: 10px;
}

.leaflet-control-timecontrol.timecontrol-date.utc {
    font-size: 14px;
}

/* Remove speed control on time slider */
.leaflet-bar-timecontrol .timecontrol-speed {
  display: none;
}

.leaflet-control-container > div {
  z-index: 990;
}

/*
.leaflet-bar-timecontrol {
  margin-bottom: 10px !important;
  padding-bottom: 7px;
  padding-top: 7px;
  width: 500px;
}
*/

.leaflet-bar-timecontrol {
  margin-bottom: 5px !important;
  padding-bottom: 3px;
  padding-top: 3px;
  width: 500px;
}

.timecontrol-container-play {
    position: fixed;
    margin-top: 34px;
    margin-left: 00px;
    z-index: 999;
    cursor: pointer;
}

.timecontrol-container-backward {
    position: fixed;
    margin-top: 34px;
    margin-left: 30px;
    z-index: 999;
}

.page-header {
  padding-right: 15px;
  box-shadow: none !important;
}

/* Magnifying glass icon for going to lat/long */
.header-circle-icon {
    opacity: .8;
    background: #0088cc;
    color: white;
    width: 37px;
    height: 37px;
    border-radius: 50%;
    text-align: center;
    line-height: 20px;
    vertical-align: middle;
    padding: 6px;
    box-shadow: 0px 2px 0px rgba(0, 0, 0, 0.2);
    -webkit-box-shadow: 0px 2px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 2px 0px rgba(0, 0, 0, 0.2);
    font-size: 1.8em !important;
}


.header-circle-icon:active{
 -webkit-box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.2);
 -moz-box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.2);
 box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.2);
 position:relative;
 top:2px;
}

.leaflet-control-goto-latlng {
  border-radius: 50%;
  position: absolute;
  top: 72px;
  margin-left: 8px !important;
  display:none
}
/* End Magnifying glass icon for going to lat/long */

/* For Lat Long input */
#lat-long-input {
    display: flex;
    visibility: hidden;
    flex-direction: column;
    width: 130px;
    color: black;
    position: absolute;
    top: 195px;
    left: 310px;
    z-index: 1000;
    background-color: white;
    padding: 8px;
    border-radius: 4px;
}

#lat-input {
  color: black;
  width: 100%;
  padding: 0px 5px;
  margin: 4px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 3px;
  box-sizing: border-box;
}

#long-input {
  color: black;
  width: 100%;
  padding: 0px 5px;
  margin: 4px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 3px;
  box-sizing: border-box;
}

#submit-lat-long {
  color: white;
  background-color: rgba(0, 0, 0, 0.7);
  border: none;
  text-align: center;
  display: block;
  margin-top: 6px;
  box-shadow: 0px 0px 2px white;
}
/* End for lat long input */

/* Station Multi-select button drop down */
.btn-group {
  margin-left: 20px;
}

.multiselect-container>li>a>label {
     padding: 0px 0px 0px 0px;
     width: 200px;
}

/* So dropdown menu text wraps */
.dropdown-menu > li > a {
     white-space: normal;

}

ul.nav-main li a {
     white-space: normal;
     /*border-left: solid 5px #000000;*/
}

/* Text color when hovering over multi-select dropdown menu */
.dropdown-menu > li > a:hover {
  color:white;
}
@media only screen and (min-width: 1023px) and (max-width: 1025px) {
    #map {
        margin-top: 63px;
        margin-left: 76px;
    }
}
/* Map is less than 768px */
@media only screen and (max-width: 768px) {
  /* So side bar is not hidden */
  
  .sidebar-left {
    top:60px;
    z-index: 999 !important;
    overflow-y: auto;
    padding-top: 0;
    padding-bottom: 0;
  }
  

  /* Placement of Map and html/body */
 html,
 body {
   margin: 0;
   padding: 0;
 }

 html,
 body,
 #map {
    height: 100%;
    width: 100vw;
}

  #map {
    position: fixed;
    top: 60px;
    margin-top: 0;
  }

  /* Map: Plus minus zoom */
  /*.leaflet-left {
    margin-top: 30px !important;
    margin-left: 70px !important;
  }*/

  /* Top Logo */
  .header .logo {
    font-size: 20px;
    margin: 0;
  }


  .leaflet-bar-timecontrol {
    margin-left: 15px !important;
    margin-bottom: 25px !important;
    bottom: 70px;
  }

  .leaflet-control-timecontrol.timecontrol-date {
    font-size: 13px !important;
    padding: 0 !important;
  }

  .leaflet-control-timecontrol.timecontrol-container-forward {
    height: 0 !important;
  }

  .leaflet-control-timecontrol.timecontrol-forward {
    height: 30px !important;
    margin-left: 339px;
  }

  .leaflet-bar-timecontrol .timecontrol-dateslider .slider {
    width: 260px;
  }

  .showLatLong {
    display: none;
  }

  div[id$="-modal"] .modal-dialog {
    max-width: 292px;
    margin-left: auto;
    margin-right: auto;
  }

  #data-options-modal dl dt {
    line-height: 34px;
    display: inline-block;
  }

  #data-options-modal dl dd {
    margin-left: 0;
    display: inline-block;
  }

  .slider.slider-horizontal {
    width: 100px;
    margin-left: 0 !important;
  }

  #bottomPopup {
    z-index: 999;
  }

  #divStationSection .closePopup {
    border: 1px solid #ddd;
    border-top: none;
  }

    #divStationSection .nav-tabs li {
      width: 33%;
      text-align: center;
      height: 100%;
      float: left;
    }
      #divStationSection .nav-tabs > li > a {
        padding: 3px 6px;
        height: 46px;
      }

  #divChartSection,
  #sliderdates,
  .time-control-container > .timecontrol-MinDate,
  .time-control-container > .timecontrol-MaxDate,
  #bottompopup-tab-validate-data,
  #bottompopup-validate-data,
  .station-info,
  g.highcharts-button.highcharts-contextbutton,
  #sidebar-left > div.sidebar-header {
    display: none;
  }

  #highcharts-chart1 {
    float: none !important;
    margin-top: 0 !important;
    height: auto;
  }

  #bottompopup-graph #highcharts-message {
    width:    auto !important;
    position: relative !important;
  }

  .popupControls {
    position: absolute;
    z-index: 99;
    right: 0;
    margin-top: 0;
    margin-right: 0;
    top: -10px;
  }

    .popupControls .closePopup {
      padding-left: 8px;
      padding-right: 8px;
    }

    .popupControls .MinimizePopup {
      display: none !important;
    }

    #bottompopup-header {
      text-align: center;
      font-weight: bold;
    }

    #forecast-data-products {
      overflow-y: auto;
    }

    #divStationSection .tab-pane,
    #station-parms-selections {
      height: auto;
    }
}

/* Custom for size between 50px and 769px, off by default until populated */
@media only screen and (min-width: 50px) and (max-width: 768px) {
  #accordion-mobile-wrapper {
      display: none;
      margin-left: 5px;
  }

  #accordion-mobile-wrapper > p {
    margin-left:0px;
    margin-top:20px;
    display:inline-block;
    float: left;
    font-weight: 900;
  }

  #accordion-mobile {
    width: 150px;
    float: left;
    margin-top:14px;
    margin-left:10px;
  }

  .leaflet-bottom.leaflet-right {
    display: none;
  }
}

/* Leaflet Map zoom and time slider for small screens */

/* @media only screen and (min-width: 50px) and (max-width: 790px) { */
@media only screen and (min-width: 50px) and (max-width: 768px) {
  .leaflet-bar-timecontrol {
      margin-left: 0px !important;
      margin-bottom: 0px !important;
      width: 100% !important;
  }

  .leaflet-bottom {
    margin-top: 0px !important;
    margin-left: 0px !important;
    width: 100% !important;
  }
  .leaflet-left {
    width: 100% !important;
  }
  .leaflet-bar-timecontrol .timecontrol-date, .leaflet-bar-timecontrol .timecontrol-slider {
    clear: none !important;
  }
}

@media only screen and (min-width: 850px) and (max-width: 1100px) {
  .leaflet-bottom.leaflet-right {
    display: none;
  }
}

/* Large View Screens*/
@media only screen and (min-width: 1150px) {
  .leaflet-left {
    margin-top: 0px !important;
    margin-left: 0px !important;
  }
}

/* Map Rotation slider */
#rho_input {
  margin-left: 200px;
}


/* View for Highcharts when on mobile devices */
#highcharts-mobile-viewer {
  display: none;
  width: 400px;
  height: 400px;
  background: #fff;
  position: absolute;
  z-index: 1000000000;
  top: 0;
  left: 0;
}

/* Mobile Highcharts chart */
#high-charts-mobile-chart {
  height: 400px;
  width: 400px;
}

#close-mobile-slideover {
  margin-left:5px;
  margin-top: 5px;
  font-size: 20px;
  width: 10px;
  height: 10px;
}

/* Now Showing Accordion, off by default until populated */
#accordion {
  display:none;
  /*z-index: 1000000000000;*/
  z-index: 9001;
  height: 150px;
  width: 200px;
  margin-left: 160px;
  margin-top: -10px;
}

#now-showing-heading {
  display: none;
}

#now-showing-input{
  padding: 5px;
  height:auto !important;
}

#now-showing-input span{
  margin-left: 5px;
}


.ui-state-active {
  margin-bottom: 0;
}

.ui-state-default {
  margin-bottom: 0;
}

.page-header h2 {
  margin-left: 10px;
  padding: 0;
}

.side-bar-active-class {
  text-decoration: none !important;
  font-weight: bold !important;
  border-left: solid 5px #0088cc !important;
  background-color: rgba(0, 136, 204, 0.15);  
}

html.sidebar-light:not(.dark) ul.nav-main > li > a:hover {
  background-color: rgba(0, 136, 204, 0.06);  
}

.side-bar-active-class a {
  text-decoration: none !important;
  font-weight: bold !important;
}

.sidebar-left .sidebar-header {
    background-color: white !important;
}

#progress-container {
  position: absolute;
  /*right:10px;*/
  width: 200px;
}

.clear {
    clear:both;
}

.loadingPanel {
    width: 100%;
    height: 100%;
    opacity: .80;
    padding-top: 45px;
    padding-left: calc(35%);
    position: fixed;
    z-index: 5000;
    background-color: #fff;
}
.bottomPopup {
    border-left: solid 1px #ccc;
    display:none;
    position:fixed;
    /*overflow:scroll; */
    height:0px;
    width:100%;
    bottom:0px;
    z-index:1001;
    background-color:#fff;
    box-shadow: inset 9px 0 20px -9px rgba(0,0,0,0.7);
    color: black;
}

#bottom-popup-oilspill-heading {
  font-size: 16px;
  color: black;
  position: absolute;
  left: 590px;
  bottom: 310px;
  font-weight: 600;
}

/* Oil spill sidebar */
#oil-spill-cog-icon {
  cursor: pointer;
  position: absolute;
  right: 0px;
  bottom: 0px;
  font-size: 18px !important;
  display: none;
  color: #000000 !important;
}

/* Oil Settings panel */
#source-list-oil {
  display: none;
  margin-left: 3px;
  margin-top: 330px;
}

#source-list-oil .panel-body{
  height: 286px;
}

#a-nav-sidebar-oil-listitem p {
  padding-bottom: 3px;
  margin-left: 33px;
}

/* Bottom Oil Spill popup */
#menu1-oilspill {
  display: flex;
  color: black;
  height: 325px;
}

#menu2-oilspillsim-heading {
  font-size: 17px;
  color: black;
  text-align: center;
  margin-top: -40px;
  font-weight: 600;
}

/* Oil Spill Form Input */
#menu1-oilspill input {
  color: black;
  border: 1px solid silver;
}
#oilspill-form-leftside {
  display: flex;
  flex-direction: column;
  height: 350px;
  width: 45%;
  margin-right:15px;
  padding: 8px;

}

#oilspill-form-rightside {
  height: 350px;
  width: 45%;
}

#oilspill-form-bottomsubmit {
  width: 90%;
  display: flex;
  justify-content: center;
}

#oilspill-form-rightside-latlonghead {
  display: flex;
  justify-content:center;
  align-items: flex-end;
  align-content: flex-end;
}

#oilspill-form-rightside-2colsplit {
  display: flex;
  margin-top: 6px;
}

#oilspill-form-rightside-2colsplit-left {
  display: flex;
  flex-direction: column;
  width: 50%;
  height: 300px;
}

#oilspill-form-rightside-2colsplit-right {
  display: flex;
  flex-direction: column;
  width: 50%;
  height: 300px;
  margin-left: 10px;
}

#oilspill-form-bottomsubmit {
  position: absolute;
  bottom: 27px;
  width: 150px;
  /*left: 63%;*/
}

#oilspill-form-bottomsubmit button {
  width: 270px;
  height: 45px;
}

#n-input {
    text-align: center;
    width: 11%;
    float: right;
    margin-top: -34px;
    font-size: 19px;
    cursor: auto;
    border-left: solid 1px #ccc;
    color: black;
    border-bottom-left-radius: 0px;
    border-top-left-radius: 0px;
    padding: 6px;
}

#e-input {
    text-align: center;
    width: 11%;
    float: right;
    margin-top: -34px;
    font-size: 19px;
    cursor: auto;
    border-left: solid 1px #ccc;
    color: black;
    border-bottom-left-radius: 0px;
    border-top-left-radius: 0px;
    padding: 6px;
}
/* End oil spill form input */

/* Oil spill open scenario */
#menu2-openscenario {
  width: 98%;
  height: 300px;
  position: absolute;
  top: 50px;
  left: 10px;
  bottom: 10px;
}

#menu2-openscenario button {
  border: 1px solid black;
}

#menu2-openscenario .multiselect-container .active {
  color: gray !important;
}

.multiselect-container>li>a>label {
  color: black !important;
}

.multiselect-container>li>a>label:hover {
  color: black !important;
  background-color: lightgray !important;
}


#select-existing-scenario-heading {
  margin-left: 150px;
  color: black;
  font-size: 18px;
  font-weight: 800;
}


#scenarios-date-oiltype-description {
  border: 1px solid black;
  padding: 5px;
  width: 48%;
  height: 200px;
  position: absolute;
  top: 75px;
  right: 10px;
  bottom: 10px;
}

#scenario-info-heading {
  color: black;
  font-weight: 800;
  font-size: 16px;
}

#scenario-info-startDate {
  color: black;
  font-size: 14px;
}

#scenario-info-oil-type {
  color: black;
  font-size: 14px;
}

#scenario-info-description {
  color: black;
  font-size: 14px;
}


#scenarios-map-layers-selection {
  width: 55%;
  height: 180px;
  position: absolute;
  top: 75px;
  left: 10px;
  bottom: 10px;
  margin-top: -40px;
}

#scenario-info-map-layers-heading {
  color: black;
  font-size: 16px;
  font-weight: 800;
}

#scenarios-map-layers-selection p {
  font-size: 14px;
  color: black;
}
/* End Oil spill open scenario */

/* Oil Spill Graph */
#menu3-oilspillgraph-tab {
  display: none;
}

#menu3-oilspillgraph {
  position: absolute;
  left: 10px;
  bottom: 50px;
  border: 1px solid green;
}
/* End Oil Spill Graph */

/* Oil Spill Legend */
#menu4-oilspilllegend-tab {
  display: none;
}

#menu4-oilspilllegend {
  height: 250px;
  width: 1300px;
  top: 70px;
  padding: 10px;
  position: absolute;
  left: 10px;
  bottom: 50px;
}
/* End Oil Spill Legend */

.pointer {
    cursor:pointer;
}

.closePopup {
    float: right;
    border: 1px solid #fff;
    padding: 5px 8px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: #fff;
    text-align: center;
    cursor:pointer;
    color: #0088cc;
    font-size: 18px;
}

.closePopup:hover {
    background: #eaeaea;
}

#station-parms-selections div {
    padding:4px 5px;
    /*height:35px*/
}

#station-parms-selections input[type='checkbox'], #station-parms-selections i {
    margin:0 5px;
}

#station-parms-selections > div:nth-child(2n+1) {
    background-color:#eee;
}

#oilspill-scenario-list {
  background-color: #ccc;
}

#oilspill-scenario-list.table-striped > tbody > tr:nth-of-type(even) {
  background-color: #fff;
}

#oilspill-scenario-list.table > thead > tr > th {
  border-bottom: none;
}

#oilspill-scenario-list > thead > tr {
    font-weight:bold;
    background-color:#ccc;
    color: #000;
}

#oilspill-scenario-list > tbody > tr > td:first-child {
  word-wrap: break-word;
}

#oilspill-scenario-list > tbody {
  display:  block;
  height:   200px;
  overflow: auto;
  border:   1px solid #ccc;
}

#oilspill-scenario-list > thead,
#oilspill-scenario-list > tbody > tr {
  display:      table;
  width:        100%;
  table-layout: fixed;
}

#oilspill-scenario-list > thead {
  width: calc(100% - 1.25em);
}

.altRows > div:nth-child(2n+1) {
    background-color:#eee;
}

.altRows > div {
    padding:5px 2px 2px 10px;
}

.altRows > div > label {
    width:120px;
}

.latestObservation {
    float:right;
}

.leaflet-bottom.leaflet-right {
    /*margin:0 10px 15px 0;*/
    margin-right: 150px;
    margin-bottom: 8px;
}

/* For Lat Long input */
#lat-long-input {
    display: flex;
    visibility: hidden;
    flex-direction: column;
    width: 130px;
    color: black;
    position: absolute;
    top: 60px;
    right: 0px;
    z-index: 1000;
    background-color: white;
    padding: 8px;
    border-radius: 4px;
}

#lat-input {
  color: black;
  width: 100%;
  padding: 0px 5px;
  margin: 4px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 3px;
  box-sizing: border-box;
}

#long-input {
  color: black;
  width: 100%;
  padding: 0px 5px;
  margin: 4px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 3px;
  box-sizing: border-box;
}

#submit-lat-long {
  color: white;
  background-color: rgba(0, 0, 0, 0.7);
  border: none;
  text-align: center;
  display: block;
  margin-top: 6px;
  box-shadow: 0px 0px 2px white;
}
/* End for lat long input testing */

/* BEGIN NAV legend */

/* overrule grid.less */
@media (min-width: 1200px) {
  .nav.nav-main .container.legend-container {
     width: inherit;
  }
}

@media (min-width: 992px) {
  .nav.nav-main .container.legend-container {
    width: inherit;
  }
}

@media (min-width: 769px) {
  .nav.nav-main .container.legend-container {
     width: inherit;
  }
}

.nav.nav-main .legend-container {
  padding-left: 30px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.legend-container img.img-thumbnail {
  background-color: #ccc;
}

.legend-container .typcn-cog {
  font-size: 25px;
}

.legend-container .data-sources {
  margin-top: 10px;
}

.productInfo {
    font-size: 10px;
    line-height: 10px;
    padding-left: 10px;
    margin-bottom: 2px;
    color: #999999;
}

/* END NAV legend */

/* BEGIN attribution */

#sidebar-left .sidebar-widget.widget-tasks {
  position: absolute;
  margin-bottom: 10px;
  padding-top: 20px;
  color: #000000;
}

/* END attribution */

.noBulletsList {
    margin-left: -10px;
    list-style: none;
}

.small-select {
    height:10px;
}

.no-checkbox-select {
    padding-left: 20px !important;
}

.btn-short-padding {
    padding-top: 2px;
    padding-bottom: 2px;
    margin-top:-5px;
}

.variation-dropdown-menu {
    top: 25px;
    right:0px;
    left:auto;
    height: 200px;
    overflow-y: auto;
}

.variation-dropdown-menu > li {
    margin:1px 5px;
}

.station-variations-list {
    width:100%
}

.station-variations-list span {
   width:20%  
}

.vertical-line {
    border-left: solid 1px #a7a7a7;
    height: 135px;
    margin-top: -145px;
    margin-bottom: 13px;
    margin-left: 10px;
}

.vertical-line2 {
    border-left: solid 1px #a7a7a7;
    height: 135px;
    margin-top: 12px;
    margin-bottom: 0px;
    margin-left: 10px;
}

.formError {
    background-color: #f2dede;
    border: 1px solid #a94442;
}

.tab-content-hidden {
    box-shadow: none !important;
    border: none !important;
    background-color: transparent !important;
}

#oilspill-tabs {
    margin-top: 5px;
    margin-left: 15px;
}

div#sidebar-oil-scenario-name {
    margin-left: 30px;
    color: black;
    font-size: 14px;
    font-weight: lighter;
}

div#scenarios-map-layers-selection label {
    padding-left: 10px;
    margin-top: -2px;
    color: #333;
}

div#scenarios-map-layers-selection p:not(:first-child) {
    border: 1px solid #CCC;
    background: #F6F6F6;
    padding: 6px 10px;
    border-radius: 3px;
    width: 378px;
    font-size: 13px !important;
    margin-bottom: 7px;
}
html.sidebar-light:not(.dark) ul.nav-main > li > a:hover { 
}
html.sidebar-light:not(.dark) ul.nav-main > li > a:focus {
    background-color: rgba(0, 136, 204, 0.0) !important;
}

.dubai-m-logo img {
    height: 50px;
    padding-right: 15px;
    margin-top: 2px;
    float: right;
}

@media (max-width: 768px) {
    .dubai-m-logo img {
        height: 38px;
        padding-right: 0px;
        margin-top: 6px;
        padding-left: 5px;
        float: left !important;
    }
}
   
.checkbox input[type="checkbox"] {
    margin-top: 3px !important;
}

.home-button {
    float:left;
    font-size: 24px;
    margin-top: 17px;
    padding-left: 12px;
    color: #000000;
}

.home-button:hover {
    color: #616161;
    text-decoration: none;
}

.home-button:active {
    color: #616161;
    text-decoration: none;
}

.home-button:focus {
    color: #616161;
    text-decoration: none;
}

@media (max-width: 375px) {
    .home-button {
        display: none;
    }
}

/* Drifter Styles -- clean up later */

.labelClass {
    white-space: nowrap; 
    text-shadow: 0 0 0.1em black, 0 0 0.1em black, 0 0 0.1em black,0 0 0.1em black,0 0 0.1em;
    color: white
  }

    /* Center the loader */
  #loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 9999;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
  }

  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }

  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }


.slide-menu {
    position: absolute;
    bottom: 0;
    padding: 1em;
    opacity: .9;
    background: #595959;
    height: 10em;
    width: 100%;
    text-align: right;
    z-index: 1000;
    transform: translate3d(0, 0, 0);
    transition: transform 0.2s;
}

/*
.dashboard-open {
    position: fixed;
    color: white;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: .80;
    z-index: 10001;
    bottom: 10em;
    right: 5px;
    padding: 3px;
}
*/


#test-div {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 50px;
    height:50px;
    background-color: yellow;
    z-index: 9999;
}

@media only screen and (max-width: 768px) {
    #test-div {
        display: none;
    }
}

@media only screen and (min-width: 769px) {
    #test-div {
        display: block;
    }
}


.slide-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.slide-menu li {
    padding: 0;
}

.slide-menu li a {
    color: #fff;
    display: block;
    padding: 0.5em 0;
}

.menu-hidden .slide-menu {
    transform: translate3d(0, 10em, 0);
    transition: transform 0.2s;
}

.model-container {
  color: white;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: flex-start;
  text-align: center;
}

.model-circle {
  display: inline-block;
  color: black;
  width: 6em;
  height: 6em;
  line-height: 6em;
  background: #e6e6e6;
  border: 2px solid black;
  border-radius: 100%;
}

.model-bar-arrow {
  position: absolute;
  top: 5px;
  right: 5px;
}

.app-arrow {
  font-size: 2em;
}

.circle-subtitle {
  width: 8em;
}

/* end drifter styles */

#cal-picker, #drifter-cal-picker {
    cursor: pointer;
}

/* MKC MADE CHANGES HERE*/
#slide-container-outer {
    width: 400px;
    height: 80px;
    z-index: 998 !important;
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate3d(0, -10em, 0);
    transition: transform 0.2s;
    background-color: rgba(0, 0, 0, 0.4);
    cursor: default;
}

#slide-container {
    display: flex;
    justify-content: center;
    align-items: center; 
}

.menu-hidden #slide-container-outer {
    transform: translate3d(0, 0, 0);
    transition: transform 0.2s;   
}

#slider-title {
    color: white;
    text-align: center;
    font-size: 12px;
    margin: 5px 10px 8px;
}

#play-pause-button, .fa-backward, .fa-forward {
    cursor: pointer;
}

#timeslider {
  width: 60%;
  display:inline-block;
}


#timeslider .ui-slider-range { 
	background: #99ebff; 
}

#timeslider label {
  position: absolute;
  width: 20px;
  margin-top: 20px;
  margin-left: -10px;
  text-align: center;
  color: white;
}

/* time slider -- Map is less than 700px */
@media only screen and (max-width: 768px) {

    #slide-container-outer {
        width: 100%;
        height: 55px;
    }

    div#slider-title {
        margin: 0px;
        font-size: 0.9em;
    }

    #cal-picker, #drifter-cal-picker {
        display: none;
    }

    #timeslider label {
        margin-top: 13px;
        font-size: 0.8em;
    }
}

#filt-txt {
    font-size: 12px;
    color:#999999;
}


@media only screen and (min-width: 769px) {

    #hamburger-icon {
        visibility: hidden;
    }   
}


@media only screen and (max-width: 768px) {

    #hamburger-icon {
        background-color: lightgray;
        visibility: visible;
        height: 42px;
        width: 42px;
        line-height: 42px;
        top: 9px;
        right: 4px;
    }

    .slide-menu {
    padding: 0.1em;
    width: 100%;
    transform: translate3d(0, 0, 0);
    transition: transform 0.2s;
    }

    .app-arrow {
      font-size: 1.5em;
    }

    .circle-subtitle {
      font-size: 10px;
      line-height: 10px;
      margin-top: 1px;
    }
}

@media only screen and (max-width: 768px) and (min-width: 700px) {

    .slide-menu {
        height: 7em;
    }

    .menu-hidden .slide-menu {
        transform: translate3d(0, 7em, 0);
        transition: transform 0.2s;
    }

    .model-circle {
        width: 5.0em;
        height: 5.0em;
        line-height: 5.0em;
        border: 0.1px solid black;
    }

    .app-arrow {
      font-size: 1.5em;
    }

    .circle-subtitle {
      margin-top: 2px;
      font-size: 10px;
      line-height: 10px;
    }

    #slide-container-outer {
        transform: translate3d(0, -7em, 0);
        transition: transform 0.2s; 
    }
}

@media only screen and (max-width: 699px) and (min-width: 475px) {

    .slide-menu {
        height: 6em;
    }

    .menu-hidden .slide-menu {
        transform: translate3d(0, 6em, 0);
        transition: transform 0.2s;
    }

    .model-circle {
        width: 4.0em;
        height: 4.0em;
        line-height: 4.0em;
        border: 0.1px solid black;
    }

    .app-arrow {
      font-size: 1.5em;
    }

    .circle-subtitle {
      margin-top: 2px;
      font-size: 8px;
      line-height: 8px;
    }

    #slide-container-outer {
        transform: translate3d(0, -6em, 0);
        transition: transform 0.2s; 
    }
}

@media only screen and (max-width: 474px) {
    
    .slide-menu {
        height: 6em;
    }

    .menu-hidden .slide-menu {
        transform: translate3d(0, 6em, 0);
        transition: transform 0.2s;
    }

    .model-circle {
        width: 4.0em;
        height: 4.0em;
        line-height: 4.0em;
        border: 0.1px solid black;
    }

    .app-arrow {
      font-size: 1.5em;
    }
    
    .circle-subtitle {
      font-size: 6px;
      line-height: 6px;
    }

    
    #slide-container-outer {
        transform: translate3d(0, -6em, 0);
        transition: transform 0.2s; 
    }
}

